GetShow
curl --request GET \
--url https://sdk.anghami.com/v1/video/shows/{id}import requests
url = "https://sdk.anghami.com/v1/video/shows/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://sdk.anghami.com/v1/video/shows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sdk.anghami.com/v1/video/shows/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sdk.anghami.com/v1/video/shows/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sdk.anghami.com/v1/video/shows/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sdk.anghami.com/v1/video/shows/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"show": {
"id": {
"value": "<string>"
},
"title": {
"value": "<string>",
"originalValue": "<string>"
},
"description": {
"value": "<string>",
"originalValue": "<string>"
},
"genres": [
"<string>"
],
"seasonCount": 123,
"cast": [
{
"id": {
"value": "<string>"
},
"name": {
"value": "<string>",
"originalValue": "<string>"
},
"role": "<string>",
"profileImageUrl": "<string>",
"isLead": true
}
],
"rating": "CONTENT_RATING_UNSPECIFIED",
"network": "<string>",
"artwork": [
{
"url": "<string>",
"width": 123,
"height": 123
}
],
"trailerUrl": "<string>",
"releaseYear": 123,
"isOngoing": true
},
"seasons": [
{
"id": {
"value": "<string>"
},
"seasonNumber": 123,
"title": {
"value": "<string>",
"originalValue": "<string>"
},
"episodeCount": 123,
"artwork": [
{
"url": "<string>",
"width": 123,
"height": 123
}
]
}
]
}{
"violations": [
{
"field": "<string>",
"description": "<string>"
}
]
}{
"message": "<string>"
}VideoCatalogService
GetShow
GetShow retrieves a single show by its unique identifier. Returns the show with season summaries for navigation.
GET
/
v1
/
video
/
shows
/
{id}
GetShow
curl --request GET \
--url https://sdk.anghami.com/v1/video/shows/{id}import requests
url = "https://sdk.anghami.com/v1/video/shows/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://sdk.anghami.com/v1/video/shows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sdk.anghami.com/v1/video/shows/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sdk.anghami.com/v1/video/shows/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sdk.anghami.com/v1/video/shows/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sdk.anghami.com/v1/video/shows/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"show": {
"id": {
"value": "<string>"
},
"title": {
"value": "<string>",
"originalValue": "<string>"
},
"description": {
"value": "<string>",
"originalValue": "<string>"
},
"genres": [
"<string>"
],
"seasonCount": 123,
"cast": [
{
"id": {
"value": "<string>"
},
"name": {
"value": "<string>",
"originalValue": "<string>"
},
"role": "<string>",
"profileImageUrl": "<string>",
"isLead": true
}
],
"rating": "CONTENT_RATING_UNSPECIFIED",
"network": "<string>",
"artwork": [
{
"url": "<string>",
"width": 123,
"height": 123
}
],
"trailerUrl": "<string>",
"releaseYear": 123,
"isOngoing": true
},
"seasons": [
{
"id": {
"value": "<string>"
},
"seasonNumber": 123,
"title": {
"value": "<string>",
"originalValue": "<string>"
},
"episodeCount": 123,
"artwork": [
{
"url": "<string>",
"width": 123,
"height": 123
}
]
}
]
}{
"violations": [
{
"field": "<string>",
"description": "<string>"
}
]
}{
"message": "<string>"
}Headers
OAuth 2.0 Bearer token for user-authenticated requests. Format: Bearer <access_token>. Optional if x-api-key is provided.
Example:
"Bearer eyJhbGciOiJSUzI1NiIs..."
API key for server-to-server access without user context. Optional if Authorization is provided.
Example:
"ang_live_..."
Preferred locale for localized content (BCP 47). Determines which language variant is returned for LocalizedString fields.
Example:
"ar"
Path Parameters
Unique identifier of the show to retrieve.
Response
Successful response
GetShowResponse is the response message containing the requested show along with season summaries for navigation.